<?php

function write_confirmation_file($rsvp_code, $rsvp_count) {
	// emailFrom: Only specify one address.  This will appear to users if they need to change their RSVP
	// emailNotify: Comma separated list of addresses to send notification when a new RSVP is entered.
	$emailFrom = "your@address.com"; 
	$emailNotify = "your@address.com, another@address.net"; // Comma separated

	$rsvp_file = "./rsvp/rsvps/" . strtolower($rsvp_code);
	
	if (file_exists($rsvp_file)) 
		die ("Error - RSVP file already exists - " . $rsvp_file);
	
	$fp = fopen($rsvp_file, "w");
	if (!$fp) die ("Error opening file: " . $rsvp_file);

	fwrite ($fp, $rsvp_count);

	$data = get_rsvp_info($rsvp_code);

	$headers = 'From: ' . $emailFrom . "\r\n" .
		'Reply-To: ' . $emailFrom . "\r\n" .
		'X-Mailer: PHP/' . phpversion();

	$boundary = "nextPart";
	$headers .= "MIME-Version: 1.0\r\n";
	$headers .= "Content-Type: multipart/alternative; boundary = $boundary\r\n\r\n";
	$headers .= "This is a MIME encoded message.\r\n\r\n";
	
	//text version
	$headers .= "--$boundary\n";
	$headers .= "Content-Type: text/plain; charset=ISO_8859-1\r\n";
	$headers .= "Content-Transfer_Encoding: 7bit\r\n\r\n";
	$headers .= "Wedding RSVP\n\n" .
		"----------------------------------------------------\n" .
		"  Formal Name: " . $data['formalName'] . "\n" .
		"         Name: " . $data['name']  . "\n" .
		"        Count: " . $rsvp_count . " of " . $data['count'] . "\n" .
		"    RSVP Code: " . $data['code']  . "\n" .
		"----------------------------------------------------\n";

	$headers .= "--$boundary\r\n";
	$headers .= "Content-Type: text/html; charset=ISO_8859-1\r\n";
	$headers .= "Content-Transfer_Encoding: 7bit\r\n\r\n";
	$headers .= "Wedding RSVP<br /><br />" .
		"----------------------------------------------------<br />" .
		"<table><tr><td align=right>Formal Name:</td><td>" . $data['formalName'] .
		"</td></tr><tr><td align=right>Name:</td><td>" . $data['name'] .
		"</td></tr><tr><td align=right>Count:</td><td>" . $rsvp_count . " of " . $data['count'] .
		"</td></tr><tr><td align=right>RSVP Code:</td><td>" . $data['code'] .
		"</td></tr></table>" .
		"----------------------------------------------------<br />";

	mail($emailNotify, "Wedding RSVP! " . $data['name'] . " for: " . $rsvp_count, "", $headers);

	return TRUE;
}

function get_confirmation_count($rsvp_code) {
	$rsvp_file = "./rsvp/rsvps/" . strtolower($rsvp_code);
	
	if (!file_exists($rsvp_file)) 
		return -1;
	
	$fp = fopen($rsvp_file, "r");
	if (!$fp) die ("Error opening file: " . $rsvp_file);

	return (int)fgets($fp);
}

function rsvp_already_exists($rsvp_code) {
	$rsvp_file = "./rsvp/rsvps/" . strtolower($rsvp_code);
	return file_exists($rsvp_file);
}
 

function get_rsvp_info($rsvp_code) {

	$rsvp_info_file = "./rsvp/rsvp_list.txt";
 
	$data = array();
	
	$trimmed_code = trim($rsvp_code);
	
	if (!file_exists($rsvp_info_file)) 	
		die ('Can\'t find RSVP Info File: ' . $rsvp_info_file . " try again later.");
	
	// Open the file and make sure its readable
	$fp = fopen ($rsvp_info_file, "r");
	
	if (!$fp) die ('Can\'t open file for reading: ' . $rsvp_info_file);

	$found = false;
	$line;

	while ((($line = fgetcsv($fp, 1000, ",")) != FALSE) && !$done) {
		$num = count($line);
		if ($num == 4 && strcasecmp($line[0],$trimmed_code) == 0 ) {
				$done = TRUE;
				$data['code'] = $line[0];
				$data['name'] = $line[1];
				$data['count'] = $line[2];
				$data['formalName'] = $line[3];
		}
	}
	fclose ($fp);

	return $data;
}

?>